Subject: linux-next: manual merge of the net-next tree with the net tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 13 Oct 2021 10:42:27 +1100

Hi all,

Today's linux-next merge of the net-next tree got a conflict in:

  tools/testing/selftests/net/ioam6.sh

between commit:

  7b1700e009cc ("selftests: net: modify IOAM tests for undef bits")

from the net tree and commit:

  bf77b1400a56 ("selftests: net: Test for the IOAM encapsulation with IPv6")

from the net-next tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc tools/testing/selftests/net/ioam6.sh
index a2489ec398fe,90700303d8a9..000000000000
--- a/tools/testing/selftests/net/ioam6.sh
+++ b/tools/testing/selftests/net/ioam6.sh
@@@ -465,31 -529,21 +529,36 @@@ out_bits(
    local tmp=${bit2size[22]}
    bit2size[22]=$(( $tmp + ${#ALPHA[9]} + ((4 - (${#ALPHA[9]} % 4)) % 4) ))
  
+   [ "$1" = "encap" ] && mode="$1 tundst db01::1" || mode="$1"
+   [ "$1" = "encap" ] && ip -netns ioam-node-beta link set ip6tnl0 up
+ 
    for i in {0..22}
    do
-     ip -netns ioam-node-alpha route change db01::/64 encap ioam6 trace \
-            prealloc type ${bit2type[$i]} ns 123 size ${bit2size[$i]} \
+     ip -netns ioam-node-alpha route change db01::/64 encap ioam6 mode $mode \
+            trace prealloc type ${bit2type[$i]} ns 123 size ${bit2size[$i]} \
 -           dev veth0
 +           dev veth0 &>/dev/null
 +
 +    local cmd_res=$?
 +    local descr="${desc/<n>/$i}"
  
 -    run_test "out_bit$i" "${desc/<n>/$i} ($1 mode)" ioam-node-alpha \
 +    if [[ $i -ge 12 && $i -le 21 ]]
 +    then
 +      if [ $cmd_res != 0 ]
 +      then
 +        npassed=$((npassed+1))
 +        log_test_passed "$descr"
 +      else
 +        nfailed=$((nfailed+1))
 +        log_test_failed "$descr"
 +      fi
 +    else
-       run_test "out_bit$i" "$descr" ioam-node-alpha ioam-node-beta \
-              db01::2 db01::1 veth0 ${bit2type[$i]} 123
++      run_test "out_bit$i" "$descr ($1 mode)" ioam-node-alpha \
+            ioam-node-beta db01::2 db01::1 veth0 ${bit2type[$i]} 123
 +    fi
    done
  
+   [ "$1" = "encap" ] && ip -netns ioam-node-beta link set ip6tnl0 down
+ 
    bit2size[22]=$tmp
  }
  
@@@ -560,15 -629,21 +644,21 @@@ in_bits(
    local tmp=${bit2size[22]}
    bit2size[22]=$(( $tmp + ${#BETA[9]} + ((4 - (${#BETA[9]} % 4)) % 4) ))
  
+   [ "$1" = "encap" ] && mode="$1 tundst db01::1" || mode="$1"
+   [ "$1" = "encap" ] && ip -netns ioam-node-beta link set ip6tnl0 up
+ 
 -  for i in {0..22}
 +  for i in {0..11} {22..22}
    do
-     ip -netns ioam-node-alpha route change db01::/64 encap ioam6 trace \
-            prealloc type ${bit2type[$i]} ns 123 size ${bit2size[$i]} dev veth0
+     ip -netns ioam-node-alpha route change db01::/64 encap ioam6 mode $mode \
+            trace prealloc type ${bit2type[$i]} ns 123 size ${bit2size[$i]} \
+            dev veth0
  
-     run_test "in_bit$i" "${desc/<n>/$i}" ioam-node-alpha ioam-node-beta \
-            db01::2 db01::1 veth0 ${bit2type[$i]} 123
+     run_test "in_bit$i" "${desc/<n>/$i} ($1 mode)" ioam-node-alpha \
+            ioam-node-beta db01::2 db01::1 veth0 ${bit2type[$i]} 123
    done
  
+   [ "$1" = "encap" ] && ip -netns ioam-node-beta link set ip6tnl0 down
+ 
    bit2size[22]=$tmp
  }